package org.jeecg.modules.ai.job;

import java.util.List;

import org.jeecg.modules.ai.entity.PreReviewRecords;
import org.jeecg.modules.ai.service.IPreReviewRecordsService;
import org.jeecg.modules.system.util.SendSmsUtil;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SendSmsJob implements Job{
	
	@Autowired
	private IPreReviewRecordsService preReviewRecordsService;
	
	@Override
	public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
		log.info("-------------->开始发送统计数量");
		List<PreReviewRecords> list = preReviewRecordsService.getSendMsgRecordsCount();
		String msg = "";
		for(PreReviewRecords record:list) {
			
		}
		String result = new SendSmsUtil().sendSms("", "", "", "");
		
		log.info("--------短信发送内容---------->"+msg);
		log.info("--------短信发送结果---------->"+result);
	}

}
